net.minecraft.util

## Class ChunkCoordinates

- java.lang.Object
- - net.minecraft.util.ChunkCoordinates

- All Implemented Interfaces:
    java.lang.Comparable
  Direct Known Subclasses:
    Teleporter.PortalPosition

      public class ChunkCoordinates
      extends java.lang.Object
      implements java.lang.Comparable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `posX`
    `int` | `posY`
    `int` | `posZ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkCoordinates()`
    `ChunkCoordinates(ChunkCoordinates par1ChunkCoordinates)`
    `ChunkCoordinates(int par1, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ChunkCoordinates par1ChunkCoordinates)`
    `int` | `compareTo(java.lang.Object par1Obj)`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `float` | `getDistanceSquared(int par1, int par2, int par3)`
    `float` | `getDistanceSquaredToChunkCoordinates(ChunkCoordinates par1ChunkCoordinates)`
    `int` | `hashCode()`
    `void` | `set(int par1, int par2, int par3)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### posX

          public int posX

    - #### posY

          public int posY

    - #### posZ

          public int posZ

  - ### Constructor Detail

    - #### ChunkCoordinates

          public ChunkCoordinates()

    - #### ChunkCoordinates

          public ChunkCoordinates(int par1,
                          int par2,
                          int par3)

    - #### ChunkCoordinates

          public ChunkCoordinates(ChunkCoordinates par1ChunkCoordinates)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(ChunkCoordinates par1ChunkCoordinates)

    - #### set

          public void set(int par1,
                 int par2,
                 int par3)

    - #### getDistanceSquared

          public float getDistanceSquared(int par1,
                                 int par2,
                                 int par3)

    - #### getDistanceSquaredToChunkCoordinates

          public float getDistanceSquaredToChunkCoordinates(ChunkCoordinates par1ChunkCoordinates)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object par1Obj)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`